> ## Documentation Index
> Fetch the complete documentation index at: https://docs.silnahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get bulk export

In order to download the bulk export, you will need to make a call to our [Get File API](/api-reference/v1fileresource/get-file)
with the `file_id` returned from this response. This `file_id` will only become available once the bulk export is complete (status = `SUCCESS`).
Terminal states for a bulk export are `SUCCESS`, `FAILED`, and `NO_DATA_PRESENT`. The `NO_DATA_PRESENT` state indicates
that there was no data to export and you should adjust your Create Bulk Export request body accordingly.


## OpenAPI

````yaml get /public/v1/bulk-export/{bulk_export_id}
openapi: 3.0.2
info:
  title: Silna Public API
  version: '1.0'
servers:
  - url: https://app.silnahealth.com/api
security:
  - bearerAuth: []
paths:
  /public/v1/bulk-export/{bulk_export_id}:
    get:
      tags:
        - V1BulkExportResource
      summary: Get bulk export
      operationId: V1BulkExportResource.get
      parameters:
        - in: path
          name: bulk_export_id
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/V1BulkExportSchema'
          headers:
            X-RateLimit-Limit:
              schema:
                type: integer
                description: The maximum number of requests allowed in the time window
            X-RateLimit-Remaining:
              schema:
                type: integer
                description: The number of requests remaining in the current time window
            X-RateLimit-Reset:
              schema:
                type: integer
                description: The time when the rate limit will reset, in Unix timestamp
            Retry-After:
              schema:
                type: number
                description: The number of seconds to wait before making another request
        '401':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuthenticationError'
          headers:
            X-RateLimit-Limit:
              schema:
                type: integer
                description: The maximum number of requests allowed in the time window
            X-RateLimit-Remaining:
              schema:
                type: integer
                description: The number of requests remaining in the current time window
            X-RateLimit-Reset:
              schema:
                type: integer
                description: The time when the rate limit will reset, in Unix timestamp
            Retry-After:
              schema:
                type: number
                description: The number of seconds to wait before making another request
        '404':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ObjectNotFoundError'
          headers:
            X-RateLimit-Limit:
              schema:
                type: integer
                description: The maximum number of requests allowed in the time window
            X-RateLimit-Remaining:
              schema:
                type: integer
                description: The number of requests remaining in the current time window
            X-RateLimit-Reset:
              schema:
                type: integer
                description: The time when the rate limit will reset, in Unix timestamp
            Retry-After:
              schema:
                type: number
                description: The number of seconds to wait before making another request
        '429':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TooManyRequestsError'
          headers:
            X-RateLimit-Limit:
              schema:
                type: integer
                description: The maximum number of requests allowed in the time window
            X-RateLimit-Remaining:
              schema:
                type: integer
                description: The number of requests remaining in the current time window
            X-RateLimit-Reset:
              schema:
                type: integer
                description: The time when the rate limit will reset, in Unix timestamp
            Retry-After:
              schema:
                type: number
                description: The number of seconds to wait before making another request
components:
  schemas:
    V1BulkExportSchema:
      properties:
        id:
          format: uuid
          title: Id
          type: string
        status:
          $ref: '#/components/schemas/BulkExportStatus'
        export_type:
          $ref: '#/components/schemas/BulkExportType'
        file_id:
          default: null
          title: File Id
          nullable: true
          format: uuid
          type: string
        created_at:
          format: date-time
          title: Created At
          type: string
      required:
        - id
        - status
        - export_type
        - created_at
      title: V1BulkExportSchema
      type: object
      x-folder: public_api
    AuthenticationError:
      type: object
      required:
        - message
      properties:
        message:
          type: string
          description: Human readable error message
        type:
          $ref: '#/components/schemas/PublicApiErrorType'
      x-folder: null
    ObjectNotFoundError:
      type: object
      required:
        - message
      properties:
        message:
          type: string
          description: Human readable error message
      x-folder: null
    TooManyRequestsError:
      type: object
      required:
        - message
      properties:
        message:
          type: string
          description: Human readable error message
      x-folder: null
    BulkExportStatus:
      type: string
      enum:
        - PENDING
        - PROCESSING_ROWS
        - MERGING_ROWS
        - SUCCESS
        - FAILURE
        - NO_DATA_PRESENT
      x-folder: bulk_export
    BulkExportType:
      type: string
      enum:
        - PRIOR_AUTHORIZATION
        - BENEFITS_CHECK
        - ELIGIBILITY_CHECK
        - PAYOR_DETECTION
        - PATIENT
        - ESCALATION_PRIOR_AUTHORIZATION
        - ESCALATION_BENEFITS_CHECK
        - ESCALATION_ELIGIBILITY_CHECK
        - ESCALATION_EHR_SYNC
      x-folder: bulk_export
    PublicApiErrorType:
      type: string
      enum:
        - AUTH_INVALID_REQUEST_HEADER
        - AUTH_INVALID_CREDENTIALS
      x-folder: null
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````